# rust-hkdf.spec
# Generated by rust2rpm 20
%bcond_with check
%global debug_package %{nil}

%global crate hkdf

Name:           compat-rust-%{crate}-0.10
Version:        0.10.0
Release:        1%{?dist}.1
Summary:        HMAC-based Extract-and-Expand Key Derivation Function (HKDF)

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/hkdf
Source:         https://crates.io/api/v1/crates/%crate/%version/download#/%crate-%version.crate

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(digest/default) >= 0.9.0 with crate(digest/default) < 0.10.0~)
BuildRequires:  (crate(hmac/default) >= 0.10.0 with crate(hmac/default) < 0.11.0~)
%if %{with check}
BuildRequires:  (crate(bencher/default) >= 0.1.0 with crate(bencher/default) < 0.2.0~)
BuildRequires:  (crate(hex/default) >= 0.4.0 with crate(hex/default) < 0.5.0~)
BuildRequires:  (crate(sha-1/default) >= 0.9.0 with crate(sha-1/default) < 0.10.0~)
BuildRequires:  (crate(sha2/default) >= 0.9.0 with crate(sha2/default) < 0.10.0~)
BuildRequires:  crate(crypto-tests/default) >= 0.5.0
%endif

%global _description %{expand:
HMAC-based Extract-and-Expand Key Derivation Function (HKDF).}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon Feb  7 2022 Oleg Girko <ol@infoserver.lv> - 0.10.0-1
- Initial package
